package com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationselftask;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_MONITOR_TMPORARY"
)
public class TCoreMonitorTmporary extends TBaseEntity implements Serializable {
   private Date createtime;
   private String sourcename;
   private String targetname;
   private String taskid;
   private String type;
   private String wfname;
   private int datacount;
   private String runid;
   private String jdbar;
   private BigInteger groupid;

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getSourcename() {
      return this.sourcename;
   }

   public void setSourcename(String sourcename) {
      this.sourcename = sourcename;
   }

   public String getTargetname() {
      return this.targetname;
   }

   public void setTargetname(String targetname) {
      this.targetname = targetname;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getWfname() {
      return this.wfname;
   }

   public void setWfname(String wfname) {
      this.wfname = wfname;
   }

   public int getDatacount() {
      return this.datacount;
   }

   public void setDatacount(int datacount) {
      this.datacount = datacount;
   }

   public String getRunid() {
      return this.runid;
   }

   public void setRunid(String runid) {
      this.runid = runid;
   }

   public String getJdbar() {
      return this.jdbar;
   }

   public void setJdbar(String jdbar) {
      this.jdbar = jdbar;
   }

   public BigInteger getGroupid() {
      return this.groupid;
   }

   public void setGroupid(BigInteger groupid) {
      this.groupid = groupid;
   }
}
